Package org.apache.sysds.runtime.compress.colgroup.scheme

# Class DDCLZWScheme

java.lang.Object
org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme
org.apache.sysds.runtime.compress.colgroup.scheme.DDCScheme
org.apache.sysds.runtime.compress.colgroup.scheme.DDCLZWScheme

All Implemented Interfaces:
  `Cloneable`, `ICLAScheme`

Direct Known Subclasses:
  `DDCLZWSchemeMC`, `DDCLZWSchemeSC`

public abstract class DDCLZWScheme extends DDCScheme

## Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

## Method Summary

Modifier and Type
Method
Description
`static DDCLZWScheme`
`create(ColGroupDDCLZW g)`
`static DDCLZWScheme`
`create(IColIndex cols)`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.DDCScheme

`create, toString`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme

`clone, encode, encode, encodeT, encodeT, update, update, updateAndEncode, updateAndEncode, updateAndEncodeT, updateAndEncodeT, updateT, updateT`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### create

public static DDCLZWScheme create(ColGroupDDCLZW g)

### create

public static DDCLZWScheme create(IColIndex cols)